#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()

try :
    eps = 1e-2
    # Instance creation
    myFunc = NumericalMathFunction("TestResponseSurface")
    epsilon = NumericalPoint(myFunc.getInputNumericalPointDimension(), eps)
    inPoint = NumericalPoint(epsilon.getDimension(), 1.0)
    myHessian = CenteredFiniteDifferenceHessian(epsilon, myFunc.getEvaluationImplementation())

    print "myHessian=" , myHessian
    print "myFunc.hessian(" , inPoint , ")=" , myFunc.hessian(inPoint) 
    print "myHessian.hessian(" , inPoint , ")=" , myHessian.hessian(inPoint) 

    # Substitute the hessian 
    myFunc.setHessianImplementation(CenteredFiniteDifferenceHessian(myHessian))
    print "myFunc.hessian(" , inPoint , ")=" , myFunc.hessian(inPoint) , " (after substitution)"

except :
    import sys
    print "t_CenteredFiniteDifferenceHessian_std.py", sys.exc_type, sys.exc_value

